// Copyright 2025 Gabriel Bjørnager Jensen.

#![cfg(test)]

use multitype::UintLeast16;

#[test]
fn test_uint_least16_size() {
	#[track_caller]
	fn test_size<T: UintLeast16>() -> bool {
		size_of::<T>() >= size_of::<u16>()
	}

	test_size::<u16>();
	test_size::<u32>();
	test_size::<u64>();
	test_size::<u128>();
}
